# WOW UserSync
Das Plugin speichert und aktualisiert die Spieler einer WOW Gilde in Joomla.
Für dieses Plugin wird noch die Komponente "Gilden Mitglieder Komponente" benötigt.

## Was wird Synchronisiert?
### Normal
- user_name
- level
- rank
- battle_id
- realm
- user_slug

### Detail
- gender
- race
- class
- specialization
- achievement_points
- last_login_timestamp
- equipped_item_level
- active_title

### Achievements
- ID
- Name
- Completed

## Benötigte Parameter
- Realm Slug
- Guild Slug
- Region
- Locale
- your Timezone

## Parameter
### Realm Slug
Wenn dein Realmname "Temple noir" ist dann ist dein Slug "temple-noir".
Wenn dein Realmname "Vek'lor" ist dann ist dein Slug "veklor".
Check out the API CALL "https://eu.api.blizzard.com/data/wow/realm/index".

### Guild Slug
Die Namenskonvention ist hier dieselbe wie bei "Realm Slug".

### Link User
Die Gildenmitglieder werden automatisch mit den Joomla Account verbunden.
Der Username muss mit dem Spieler namen übereinstimmen.

### Sync User Detail
siehe Punkt "Was wird Synchronisiert? -> Detail" 

### your Timezone
Der Wert ist wichtig für "last_login_timestamp"

### Sync Achievements
Dieser Parameter sorgt dafür das entweder alle Achievements oder nur die unter "Achievements" angegeben Achievements Synchronisiert werden.\
**Achtung in WOW gibt es mehrere Tausend Achievements.**

## Aktualisieren der Spieler
Die Aktualisierung kann nur mit einem Cron Job ausgeführt werden. Der Grund dafür ist die lange Ausführungszeit.
Der CronJob muss auf die Datei "cron.php" im Ordner "\plugins\content\usersync" zeigen.
Der Aufruf muss mit 2 Parametern erfolgen siehe unten.

Ich nehme in den Beispielen immer an das die Gilde aus 100 Mitgliedern besteht.

Aktualisierung aller Gilden Mitglieder\
cron.php 1 1

Aktualisierung des ersten Zehntels. Spieler 1-10.\
cron.php 1 10

Aktualisierung des zweiten Zehntels. Spieler 11-20.\
cron.php 2 10

Ein komplettes beispiel wäre:

cron.php 1 5\
cron.php 2 5\
cron.php 3 5\
cron.php 4 5\
cron.php 5 5

**Man sollte immer bedenken, dass die API ein Limit besitzt.**


![Settings](public_website/media/settings.jpg)
